function J=eval_PP_RH_g(x,k)
%Considera comanda globala prin completare cu
% cele trimise anterior
% Evaluare functie obiectiv J
% x este profilul comenzii pe [k, Nt-1]
% U1=x(k),...,x(Nt-1) i.e. are (Nt-1-k+1)= h comenzi
% U2=x(h+k),...,x(h+Nt-1) i.e. are (Nt-1-k+1)= h comenzi
% lipsesc comenzile u1(0),...,u1(k-1) i.e. k comenzi pt U1 si inca k pt U2.
% adica lipsesc u1HR(1),...,u1HR(k) si la fel pt U2.
global Ncalls;
global u1RH u2RH;
global Q X00;
global h Nt;
global u_vector; % vector cu comanda pe orizontul de c-da, care se seteaza
                 % inainte de apelul lui ode23
global command_index;

u1=[u1RH(1:k),x(1:h)];%completare cu comenzi trecute
u2=[u2RH(1:k),x(h+1:2*h)];
u_vector=[u1,u2]; %are dimensinea 2*Nt
command_index=1;
options = odeset('RelTol',1e-4,'MaxStep',0.1);
[T,Y] = ode45('ProteinProdRH_g',[0 Nt],X00,options);

IF=length(T); %IF este indicile final
J2=Y(IF,1)*Y(IF,4); % J=x1(tf)*x4(tf)

J1=0; %Calcul integrala pt t_vector din u2 prin met dreptunghiurior
for n=1:Nt
    J1=J1+u2(n); 
end

J1=Q*J1;
J=J2-J1;
Ncalls=Ncalls+1;
end
